Install an ATM adapter

To install an ATM adapter

  • In most cases, if your ATM network adapter hardware supports Plug and Play, it is detected and installed by Windows 2000. For more information, see Installing devices.

Notes

  • The maximum number of ATM network adapters that can be installed and supported with Windows 2000 is limited to four per computer.
  • After your ATM adapter is recognized and installed with Windows 2000, Windows ATM services are installed and available. By default, the connection is set up as a LAN emulation client (LEC). To view or configure additional services, select Properties for your ATM connection in Network and Dial-up Connections.
  • If your ATM hardware does not support Plug and Play detection, contact your adapter vendor for updated installation software and information about installing your adapter with Windows 2000. For more information about installing hardware that does not support Plug and Play, see To install a non-Plug and Play device.


Configure a LAN emulation client

To configure a LAN emulation client

  1. Open Network and Dial-up Connections.
  2. Click the ATM connection that corresponds to the ATM network adapter installed on this computer.
  3. On the File menu, click Properties.
  4. In the list of network components used in this connection, select ATM LAN Emulation, and then click Properties.
  5. If needed, configure the list of emulated LANs available for use with this ATM connection.

    For Windows 2000, the ATM LAN emulation client is configured by default to support a simple connection with another device (typically an ATM switch) that is providing LAN emulation services to your network.

Notes

  • By default, Windows 2000 is preconfigured to use the default emulated LAN (ELAN) group name for simple client configuration:

    unspecified_ELAN_name

    If you do not want to configure a specific ELAN name on your network, use the unspecified ELAN name as the default ELAN group name.

    Where this default ELAN name is not currently configured or supported by other ATM hardware products (such as other switches used on your network), you can do one of the following:

    • Add another supported ELAN name to the list maintained here.
    • Configure a default ELAN with no name on your ATM switches that provide LAN emulation service to your network.

Related Topics


Enable a simple TCP/IP-over-ATM connection

To enable a simple TCP/IP-over-ATM connection

  1. Open Network and Dial-up Connections.

  2. Select the ATM connection that corresponds to the ATM network adapter installed on this computer.

  3. Click File, and then click Properties.
  4. From the list of network components, select Internet Protocol (TCP/IP), and then click OK.

Notes

  • You can use the default TCP/IP settings for quick ATM ARP client configuration for a single-switch network using the Windows 2000 ARP/MARS server. If you use another ARP/MARS server, the client must be configured with the server address.


Configure an advanced TCP/IP-over-ATM connection

To configure an advanced TCP/IP-over-ATM connection

  1. Open Network and Dial-up Connections.
  2. Click the ATM connection for the ATM network adapter installed on this computer. On the File menu, click Properties.
  3. From the list of network components, select the check box for Internet Protocol (TCP/IP), and then click Properties.
  4. In Internet Protocol (TCP/IP) Properties, specify an IP address for use with this ATM connection. By default, the TCP/IP connection uses a DHCP server to obtain an IP address.
  5. In Internet Protocol (TCP/IP) Properties, click Advanced.
  6. Click the ATM ARP Client tab.
  7. If you want TCP/IP to be used only over permanent virtual circuits (PVCs) configured using the ATM Call Manager, select PVC only. In order for this option to function, you must configure the PVC with an application type of ATM ARP in the ATM Call Manager.
  8. For ARP Server Address List, use Add, Edit, and Remove to update the address entry for the ATM ARP server on your network. When additional server addresses are added, use the up and down arrow buttons to reorder the list.

  9. For MARS Address List, use Add, Edit, and Remove to update the list with entries for any ATM Multicast Address Resolution Service (MARS) servers on your network. With the addition of new server addresses, use the up and down arrow buttons to reorder the list.

  10. Configure any other advanced TCP/IP properties that this ATM connection will use, such as multiple IP addresses, DNS servers, or WINS servers, and then click OK.
  11. If needed, specify a static IP address for use with this ATM connection. You can also set the default to use a DHCP server to obtain an IP address.

Notes

  • For ATM ARP or MARS server lists, you can either use the Windows 2000 default address or add entries for other computers and switches on your network. If needed, the entries added to the list can include ATM addresses for other ATM switches that provide services comparable to the Windows 2000 ARP/MARS service.
  • If you add multiple addresses to the ARP or MARS server address lists, the ATM ARP client tries the first address on the list. If the client fails to connect using that address, it then tries each address in the order that it appears on the list.
  • Windows ATM ARP clients are preconfigured with the ARP/MARS addresses of Windows ATM services. Advanced client configuration might not be needed. In most cases, default client settings provide rapid configuration.


Install and configure the ATM ARP/MARS service

To install and configure the ATM ARP/MARS service

  1. Open Network and Dial-up Connections.
  2. Click the ATM connection that corresponds to the ATM network adapter installed on this computer.
  3. On the File menu, click Properties, and then click Install.
  4. In Select Network Component Type, in the list of network component types, click Protocol, and then click Add.

  5. In Select Network Protocol, in the list of network protocols, click ATM ARP/MARS Service, and then click OK.

    The ATM ARP/MARS service is installed with the Windows 2000 default configuration. For more information on modifying these default services, see the notes below or see your ATM networking and product documentation.

Notes

  • The ATM/ARP MARS service is available only on Windows 2000 Server.
  • It is recommended that you configure only one ATM ARP/MARS for each virtual LAN on your network. If you have multiple ARP servers on the same network segment, and your ARP client is configured with the addresses for these servers, the ARP caches could become out of synch. This can render parts of the network unreachable.
  • The ATM ARP/MARS service supports IP-to-ATM address resolution for ATM network hosts active on the same logical IP subnet as this computer. The ATM ARP service supports classical IP over ATM connections, as described in RFC 1577. The MARS service supports multicast IP over ATM connections, as described in RFC 2022.

  • By default, Windows 2000 uses this predetermined address for simple configuration:

    4700790001020000000000000000A03E00000200

    This number is an NSAP address that Microsoft selected to simplify configuration and enhance interoperability of ATM ARP/MARS service with other Windows 2000 computers running ATM services.

  • The ATM ARP/MARS service includes a preconfigured default list of IP address ranges for which broadcast and multicast forwarding are provided by the service. This default is known as hubbed-mode operation.

    If the IP address range list is empty, the ATM ARP/MARS service defaults to non-hubbed mode operation. In this mode, the service will not perform any forwarding for multicast group clients.


Create a permanent virtual connection using ATM

To create a permanent virtual connection using ATM

  1. Open Network and Dial-up Connections.
  2. Click the ATM connection that corresponds to the ATM network adapter installed on this computer for which you want to create a permanent virtual circuit (PVC).
  3. Click File, and then click Properties.
  4. In the list of network components used in this connection, select ATM Call Manager, and then click Properties.
  5. In ATM Call Manager properties, click Add.
  6. Review and modify PVC settings as needed:
    • For Name, you can either use the default unspecified PVC name or type a name. Both are used only for your reference.
    • For Virtual path ID, you can either use the default path of 0 or type a number that should be used to identify the virtual path for the connection.
    • For Virtual circuit ID, type a number that identifies the virtual circuit within the specified virtual path for the connection.
    • In Application type, select the type of application or use for this permanent virtual connection. If you configured your IP/ATM connection for PVCs only, you must select the application type ATM ARP for this PVC.
  7. If needed, click Advanced to configure any settings that provide call or answer matching criteria for the PVC or that specify a quality of service for use with the PVC.

Notes

  • For additional information on an item, right-click the item, and then click What's This?
  • PVCs are not required and are not typically recommended for building most types of ATM network connections.


View ATM connection information

To view ATM connection information

  1. Click Start, point to Programs, point to Accessories, and then click Command Prompt.
  2. At the command prompt, type atmadm /? for syntax and options for using the Atmadm command-line utility.